Confluence upgrade 2.9.2 > 3.5.17 license problems

Hi,

I'm trying to upgrade Confluence from version 2.9.2 to 3.5.17 (and after that to 4.3).

On first attempt update failed with the following error:

2012-09-13 12:29:37,796 ERROR main atlassian.confluence.upgrade.UpgradeLauncherServletContextListener contextInitialized 1: Thank you for upgrading Confluence. The license format for this new version has changed. In order to complete your upgrade and continue using Confluence, you will need to upgrade your current Confluence license. This upgrade does not incur any additional costs and does not change Confluence's functionality in any way.

You can upgrade your license here or for step-by-step instructions please refer to our documentation.

If you cannot upgrade your existing Confluence license, please generate a temporary evaluation license. This will allow you to proceed with the upgrade and give you time to generate a compatible license.

Once you have an upgraded license (or a temporary one), please enter it on this page and restart.

So, I requested an evaluation license. The generated license was for older versions so I upgraded it to work with version 3 and above.

But, when I try to change the license in the admin panel of Confluence 2.9.2 I receive the following message:

License was not valid and has not been updated.

How can I change the license to a valid Confluence 3 license so the upgrade doesn't fail?

Btw, is it normal that my test server has the same Server ID as the production server I copied the installation from?

Regards,

Igor

1 answer

1 accepted

Hi, Igor

The new licence format is only supported on Confluence versions 3.0 and later. In order to upgrade directly to 3.5.17 from 2.9.2 you will need to:

1. Begin the 3.5 upgrade

2. Once you see the licence warning that you pasted above, follow the "please enter it on this page" link and provide your updated licence

3. Restart Confluence. The 3.5 upgrade should then continue with the new licence.

To answer your other question, that is entirely normal. If you copy a Confluence installation, it will also copy the server ID.

Yes, <confluence-url>/fixonly/fixlicense.action on 3.5.17 did the trick.

I was trying to use that page to upgrade license while running version 2.9.2 (which of course didn't work).

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Oct 24, 2018 in Confluence

Atlassian Research opportunity with Confluence templates

Do you use templates with Confluence? Take part in a remote 1-hr workshop. You'll receive USD $100 for your time!   We're looking for people to participate in a   remote 1-hr workshop...

930 views 13 11
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you